#
# spec file for package python-tsk
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-tsk
Version:        0~20140506
Release:        3.4
Summary:        Python bindings for tsk - The SleuthKit
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/pytsk
#DL-URL:	https://4a014e8976bcea5c2cd7bfa3cac120c3dd10a2f1.googledrive.com/host/0B3fBvzttpiiScUxsUm54cG02RDA/pytsk-20140506.tgz
Source0:        pytsk-20140506.tgz
BuildRequires:  gcc-c++
BuildRequires:  libtalloc-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  sleuthkit-devel
Provides:       pytsk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Sleuthkit is a forensic filesystem analysis framework (http://www.sleuthkit.org/). This project is a python binding for the sleuthkit. 

%prep
%setup -q -n pytsk
# remove unused libraries with incompatible license, use libtalloc from main repositories
rm -rf pytsk talloc
rm -rf pytsk talloc.new

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix} --record-rpm=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Fri Aug 15 2014 Greg.Freemyer@gmail.com
- add "Provides: pytsk"  -  pytsk is now in use by upstream dependencies
* Wed Aug 13 2014 Greg.Freemyer@gmail.com
- update to v0~20140506
  * This is just a wrapper for libtsk10, upstream did not provide any release notes
* Wed Sep 11 2013 Greg.Freemyer@gmail.com
- Address legal issues raised in BNC#839248
- update to latest version in source repo (as of 9/10/2013)
  * now uses libtalloc shared library if available
  * remaining GPL licenses changed to Apache-2.0 with permission of relevant copyright holder
- added BuildRequires libtalloc-devel to allow shared library to be used
- added rm -rf talloc and talloc.new to highlight they are not used in the build
* Thu Aug 22 2013 Greg.Freemyer@gmail.com
- fix BuildRequires
  * remove spurious pcre-devel
  * add gcc-c++
* Sat Aug 17 2013 Greg.Freemyer@gmail.com
- update to latest version in source repo
- per author, sleuthkit-devel 4.1 compatibility is only in the source repo
- change version from 0.0.0~ to 0~
* Wed Mar 27 2013 Greg.Freemyer@gmail.com
- initial package
